# 📁 data/

This directory is the core of the metadata structure for Open Telekom Cloud Service Documentation. It contains structured definitions for services, their document types, categories, and repository configurations.

## 📂 Folder Overview

| Folder Name         | Description                                                                 |
|---------------------|-----------------------------------------------------------------------------|
| `services/`          | Contains metadata for each individual service, including its cloud regions and access teams. |
| `documents/`         | Holds metadata about documentation types (e.g., user guides, API refs) for each service and cloud region. |
| `service_categories/`| Lists available service categories used to group services (e.g., "Application", "Database"). |
| `repositories/`      | Defines where the documentation source code is located (GitHub or Gitea) for each service per cloud environment. |

## 📦 Usage

These metadata files are used to:
- Build documentation portals.
- Generate links and visibility rules dynamically.
- Control contributor access.
- Connect documentation to source control repositories.

Each subfolder contains its own `README.md` with detailed field references and options.

## 📎 Example Structure

![Folder Structure](./folder_structure.png)
